// File:	DiceMan\\Bmp.h
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#ifndef _BMP_H
#define _BMP_H

#define BMP_NONE	0
#define	BMP_HCENTER	1
#define BMP_VCENTER 2
#define BMP_RIGHT	4
#define BMP_BOTTOM	8

#define BMP_COLORKEY	1

typedef struct {
	SDL_Surface *bmp;
	Uint32 key;
	int w,h;
} Bmp;

Bmp *BMP_Load(char *szName,int flags);
Bmp *BMP_LoadSprite(char *szName,int w,int h);

void BMP_Render(Bmp *bmp,int x,int y,int flags);

void BMP_RenderSprite(Bmp *bmp,int x,int y,int seq,int frame);

void BMP_Free(Bmp *bmp);

#endif