// File:	DiceMan\\Entity.h
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#ifndef _ENTITY_H
#define _ENTITY_H

typedef struct sd_Entity {
	bool	used;
	int type;
	Bmp *bmp;
	int x,y;
	int dir;
	int frame;
} Entity;

void ENTITY_Init(void);

void ENTITY_CleanUp(void);

void ENTITY_Create(int x,int y,int type);

void ENTITY_Render();

void ENTITY_Close(void);

void ENTITY_Update();

Entity *ENTITY_Collide(int x,int y);

void ENTITY_Destroy(Entity *ent);


#endif
