// File:	DiceMan\\Game.h
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#ifndef _GAME_H
#define _GAME_H

extern GameMode GAME_Info;
extern GameMode GAME2_Info;

extern char *map;
extern int g_mapWidth;

void GAME_Init(void);

void GAME_ReInit(void);

void GAME_Render(void);

bool GAME_Update(void);

void GAME_Close(void);

int GAME_dice();

extern int g_scroll;
extern int g_lives;
extern int g_score;

#define KEY_LEFT	0x01
#define KEY_RIGHT	0x02
#define KEY_UP		0x04
#define KEY_DOWN	0x08
#define KEY_FIRE	0x10

#endif