// File:	DiceMan\\Particle.h
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#ifndef _PARTICLE_H
#define _PARTICLE_H

typedef struct {
	int type;
	int frame;
	int x,y;
	int xv,yv;
	int xa,ya;
} Particle;

typedef struct sd_ParticleSystem{
	bool	used;
	Particle *pParticles;
	int life;
	int particles;
} ParticleSystem;

void PARTICLE_Init();

void PARTICLE_Create(int x,int y,int type);

void PARTICLE_Render();

void PARTICLE_Close();

#define PARTICLE_FIREWORK	8


#endif
