// File:	DiceMan\\Gameend.cpp
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#include "diceman.h"

GameMode GAMEEND_Info={GAMEEND_Init,GAMEEND_Update,GAMEEND_Render,GAMEEND_Close};

char *gameEndStr[]={
	"Congratulations, you've managed to get",
	"DiceMan to the end of the levels.",
	"",
	"Sorry the game isn't longer, levels were",
	"the last thing added in whatever spare time",
	"I had left."
};


void GAMEEND_Init(void)
{
}

void GAMEEND_Render(void)
{
	int i;

	TITLE_Background();		   
	
	BMP_Render(g_SmallLogo,320,8,BMP_HCENTER);

	FONT_Render(g_BigFont,320,120,"Congratulations",FONT_HCENTER);

	for(i=0;i<6;i++)
	{
		FONT_Render(g_Font,320,200+i*24,gameEndStr[i],FONT_HCENTER);
	}
}

bool GAMEEND_Update(void)
{
	SDL_Event event;

	while(SDL_PollEvent(&event))
	{
		switch(event.type)
		{
		case SDL_KEYDOWN:
			switch(event.key.keysym.sym)
			{
			case SDLK_ESCAPE:
			case SDLK_RETURN:
			case SDLK_SPACE:
				if (g_score>g_high[4].score)
				{
					g_scoreEntry=true;
					MODE_Set(MODE_HIGHSCORE);
				}
				else
					MODE_Set(MODE_TITLE);
				break;
			}
		}
	}

	return false;
}

void GAMEEND_Close(void)
{
}