// File:	DiceMan\\Gameover.cpp
// Purpose:	Lumdum Dare 48 Hour Contest Game
// Theme:	Random
// Author:	James Watson

#include "diceman.h"

GameMode GAMEOVER_Info={GAMEOVER_Init,GAMEOVER_Update,GAMEOVER_Render,GAMEOVER_Close};

Bmp *gameover;

void GAMEOVER_Init(void)
{
	gameover=BMP_Load("gfx/gameover.bmp",BMP_COLORKEY);	
}

void GAMEOVER_Render(void)
{
	TITLE_Background();		   
	
	BMP_Render(gameover,320,240,BMP_HCENTER|BMP_VCENTER);

}

bool GAMEOVER_Update(void)
{
	SDL_Event event;

	while(SDL_PollEvent(&event))
	{
		switch(event.type)
		{
		case SDL_KEYDOWN:
			switch(event.key.keysym.sym)
			{
			case SDLK_ESCAPE:
			case SDLK_RETURN:
			case SDLK_SPACE:
				if (g_score>g_high[4].score)
				{
					g_scoreEntry=true;
					MODE_Set(MODE_HIGHSCORE);
				}
				else
					MODE_Set(MODE_TITLE);
				break;
			}
		}
	}

	return false;
}

void GAMEOVER_Close(void)
{
	BMP_Free(gameover);
}